com.sun.jna.platform.unix

## Class LibCAPI.size_t

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.unix.LibCAPI.size_t

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Enclosing interface:
  LibCAPI

    public static class LibCAPI.size_t
    extends IntegerType

This is an unsigned integer type used to represent the sizes of objects.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `LibCAPI.size_t.ByReference`

### Field Summary

Fields
`static LibCAPI.size_t` `ZERO`

### Constructor Summary

Constructors
Constructor and Description
`size_t()`
`size_t(long value)`

### Method Summary

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ZERO

    public static final LibCAPI.size_t ZERO

### Constructor Detail

#### size_t

    public size_t()

#### size_t

    public size_t(long value)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.